Bug 618031 - Software Update applet is getting list of updates each 5 seconds
Software Update applet is getting list of updates each 5 seconds
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: PackageKit (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Richard Hughes
desktop-bugs@redhat.com
: RHELNAK
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-25 15:19 EDT by Lubos Kocman
Modified: 2010-11-10 14:32 EST (History)
0 users

See Also:
Fixed In Version: PackageKit-0.5.8-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 14:32:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gpk-viewer --verbose (45.36 KB, text/plain)
2010-07-29 10:08 EDT, Lubos Kocman
no flags Details
pkmon --verbose (63.11 KB, application/octet-stream)
2010-07-29 10:10 EDT, Lubos Kocman
no flags Details

  None (edit)
Description Lubos Kocman 2010-07-25 15:19:47 EDT
Description of problem:


Software Update applet is getting list updates each 5 seconds. This makes him completely unusable. 

Version-Release number of selected component (if applicable):

$ rpm -qa PackageKit*
PackageKit-glib-0.5.8-8.el6.x86_64
PackageKit-gtk-module-0.5.8-8.el6.x86_64
PackageKit-0.5.8-8.el6.x86_64
PackageKit-gstreamer-plugin-0.5.8-8.el6.x86_64
PackageKit-yum-plugin-0.5.8-8.el6.x86_64
PackageKit-yum-0.5.8-8.el6.x86_64
PackageKit-device-rebind-0.5.8-8.el6.x86_64


How reproducible:

Steps to Reproduce:
1. Login to gnome
2. Click on the orange "star-like" icon placed on gnome-panel signalizing that updates are available
  
Actual results:

Dialog gets refreshed every 5 seconds. This makes him completely unusable


Expected results:

Update applet should get list of updates in reasonable interval.
Comment 2 RHEL Product and Program Management 2010-07-25 15:37:33 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 Richard Hughes 2010-07-28 11:16:11 EDT
Could you please get the output of:

killall gpk-update-icon
gpk-update-icon --verbose

and attach it to this bug. The only reason the update viewer is meant to self-refresh is:

a) when the network state changes
b) when the number of updates changes (i.e. the user does yum update on the command line)
c) any of the repos changes enabled state

So I'm kinda confused which of those are causing the 5 second refresh. Thanks.
Comment 5 Lubos Kocman 2010-07-29 10:08:38 EDT
Created attachment 435301 [details]
gpk-viewer --verbose
Comment 6 Lubos Kocman 2010-07-29 10:10:35 EDT
Created attachment 435303 [details]
pkmon --verbose

pkmon --verbose after gpk-update-viewer)
Comment 7 Richard Hughes 2010-08-02 05:58:08 EDT
Could you try the build here please: http://brewweb.devel.redhat.com/brew/taskinfo?taskID=2645366

You'll need to restart after installing the update.
Comment 8 Lubos Kocman 2010-08-02 08:34:32 EDT
Verified on PackageKit*.0.5.8.9.el6
Comment 9 releng-rhel@redhat.com 2010-11-10 14:32:27 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.